
public class App {

	public static void main(String[] args) throws Exception 
	{
		Land deutschland = new Land ("Deutschland");
		
		Fluss ruhr = new Fluss ("Ruhr", false);
		Fluss spree = new Fluss ("Spree", false);
		Fluss havel = new Fluss ("Havel", false);
		Fluss main = new Fluss ("Main", true);
		
		Stadt bielefeld = new Stadt ("Bielefeld", deutschland);
		System.out.println(bielefeld.getDescription());
		
		Stadt muehlheim = new Stadt ("Mhlheim", deutschland);
		muehlheim.getLiegt_an().add(ruhr);
		System.out.println(muehlheim.getDescription());
		
		Stadt essen = new Stadt ("Essen", deutschland);
		essen.getLiegt_an().add(ruhr);
		System.out.println(essen.getDescription());
		
		Stadt berlin = new Stadt ("Berlin", deutschland);
		berlin.getLiegt_an().add(spree);
		berlin.getLiegt_an().add(havel);
		System.out.println(berlin.getDescription());
		
		Stadt frankfurt = new Stadt ("Frankfurt", deutschland);
		frankfurt.getLiegt_an().add(main);
		System.out.println(frankfurt.getDescription());
		
		Person otto = new Person ("Otto", bielefeld, bielefeld);
		Person erwin = new Person ("Erwin", bielefeld, bielefeld);
		Person jan = new Person ("Jan", muehlheim, muehlheim);
		Person klaas = new Person ("Klass", essen, essen);
		Person hein = new Person ("Hein", berlin, essen);
		Person pitt = new Person ("Pitt", frankfurt, berlin);
		
		
		System.out.println (otto.getDescription());
		System.out.println (erwin.getDescription());
		System.out.println (jan.getDescription());
		System.out.println (klaas.getDescription());
		System.out.println (hein.getDescription());
		System.out.println (pitt.getDescription());
		
		if (jan.getLebt_in().getLiegt_an().size() > 0)
		{
			System.out.print("Jan lebt in der Nhe eines FLusses.");
		}
		
	}
}
